---
document: modulemd
version: 2
data:
  name: idm
  stream: "DL1"
  version: 920211026070937
  context: 8cf767d6
  arch: x86_64
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).
  license:
    module:
    - MIT
  xmd: {}
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/#category-identity-management
    tracker: https://pagure.io/freeipa/issues
  profiles:
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server-trust-ad
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
      - ipa-server-dns
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
...
---
document: modulemd
version: 2
data:
  name: idm
  stream: "client"
  version: 920211105173121
  context: 8cf767d6
  arch: x86_64
  summary: RHEL IdM long term support client module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).

    This module stream supports only client side of RHEL IdM solution
  license:
    module:
    - MIT
  xmd: {}
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/#category-identity-management
    tracker: https://pagure.io/freeipa/issues
  profiles:
    common:
      description: Profile for RHEL IdM client
      rpms:
      - ipa-client
    default:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    epn:
      description: Profile to handle Expiring Password Notifications (EPN) on RHEL
        IdM client
      rpms:
      - ipa-client
      - ipa-client-epn
    smb:
      description: Samba file server on RHEL IdM client
      rpms:
      - ipa-client
      - ipa-client-samba
...
